Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.security
Class PasswordCredential

    java.lang.Object
      javax.resource.spi.security.PasswordCredential

All Implemented Interfaces:
  Serializable

public final class PasswordCredential
extends Object
implements Serializable

The class PasswordCredential is a placeholder for username and password.

See Also:
  Serialized Form

Constructor Summary
`PasswordCredential(String userName, char[] password)` Constructor, creates a new password credential

Method Summary
`boolean` | `equals(Object other)`
`ManagedConnectionFactory` | `getManagedConnectionFactory()` Get the managed connection factory associated with this username password pair.
`char[]` | `getPassword()` Returns the password
`String` | `getUserName()` Returns the username
`int` | `hashCode()`
`void` | `setManagedConnectionFactory(ManagedConnectionFactory mcf)` Set the managed connection factory associated with this username password pair.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordCredential

    public PasswordCredential(String userName,
                              char[] password)

  Constructor, creates a new password credential

Parameters:
  `userName` - the user name
  `password` - the password

Method Detail

### getUserName

    public String getUserName()

  Returns the username

  Returns:
    Username

### getPassword

    public char[] getPassword()

  Returns the password

  Returns:
    password

### getManagedConnectionFactory

    public ManagedConnectionFactory getManagedConnectionFactory()

  Get the managed connection factory associated with this username password pair.

  Returns:
    the managed connection factory

### setManagedConnectionFactory

    public void setManagedConnectionFactory(ManagedConnectionFactory mcf)

  Set the managed connection factory associated with this username password pair.

  Parameters:
    `mcf` - the managed connection factory

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.